﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using ThinkGeo.Core;
using WpfDotNetFramwork;

namespace WindowsFormsApp18
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load_1(object sender, EventArgs e)
        {

            MapView1.MapUnit = GeographyUnit.Meter;

            //OpenStreetMapOverlay osmOverlay1 = new OpenStreetMapOverlay();
            //MapView1.Overlays.Add("Open Street Map", osmOverlay1);

            //OpenStreetMapOverlay osmOverlay2 = new OpenStreetMapOverlay();
            //MapView2.Overlays.Add("Open Street Map", osmOverlay2);


            //// Create a new overlay that will hold our new layer and add it to the map.
            //LayerOverlay parksOverlay = new LayerOverlay();


            GeoImage needleImage = new GeoImage(Application.StartupPath + "\\compass1_needle_letters_disc.png");
            //Gets the image for the frame of the compass that will stay fixed.

            GeoImage frameImage = new GeoImage(Application.StartupPath + "\\compass1_circle_digits.png");
            CompassAdornmentLayer compassAdornmentLayer = new CompassAdornmentLayer(needleImage, frameImage, Position.UpperLeft, 100);

            // parksOverlay.Layers.Add("MyCompassAdornmentLayer", compassAdornmentLayer);
            //parksOverlay.TileType = TileType.SingleTile;
            //winformsMap1.Overlays.Add("test", parksOverlay);
            MapView1.AdornmentOverlay.Layers.Add(compassAdornmentLayer);
            MapView1.Refresh();
        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {
            base.OnPaint(e);
            Bitmap CompassBmp = new Bitmap(Application.StartupPath + "\\compass1_needle_letters_disc.png");
            Bitmap DigitsBmp = new Bitmap(Application.StartupPath + "\\compass1_circle_digits.png");
            using (Graphics g = e.Graphics)
            {
                var p = new Pen(Color.Black, 3);
                g.DrawImage(CompassBmp, 0, 0);
                g.DrawImage(DigitsBmp, 0, 0);
            }
        }

        private void Form1_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyCode)
            {
                case Keys.F3: MapView1.ZoomIn(30); MapView1.Refresh(); break;
                case Keys.F4: MapView1.ZoomOut(30); MapView1.Refresh(); break;
            }
        }
    }
}
